#ifndef AffichageTS35_h
#define AffichageTS35_h

// Caractéristiques de l'écran
#define LARGEUR_ECRAN 480  // nombre de pixels en largeur
#define HAUTEUR_ECRAN 320  // nombre de pixels en hauteur

#define LargeurCol LARGEUR_ECRAN/4  // Largeur d'une colonne d'affichage (480/4) ou d'un bouton
#define PetitBouton 60  // Largeur d'un petit bouton
#define GRIS            0x7BEF      /* 128, 128, 128 */
#define BLEU            0x001F      /*   0,   0, 255 */
#define VERT            0x07E0      /*   0, 255,   0 */
#define CYAN            0x07FF      /*   0, 255, 255 */
#define ROUGE           0xF800      /* 255,   0,   0 */
#define JAUNE           0xFFE0      /* 255, 255,   0 */
#define BLANC           0xFFFF      /* 255, 255, 255 */
#define NOIR            0x0000
#define JAUNEVERT       0xB7E0
#define ROSE            0xFC9F
#define OLIVE           0x7BE0
#define VERTFONCE       0x03E0
#define ORANGE          0xFDA0

#define CouleurFond     BLEU

#define LigneBouton 250 // 1ere Ligne  affichage boutons
#define MaxCarBuf 23

// Structure pour les boutons
// Tous les boutons ont une largeur = LargeurCol
// Tous les boutons ont une hauteur = HautBouton
struct TBouton
{
    int ligne;         // Coordonnées ligne du bouton
    int colonne;       // Coordonnées colonnes du bouton
    int largeur;       // largeur bouton
    char buf[10];      // Texte du bouton
    unsigned int couleurFond; // couleur du fond
    unsigned int couleurCar;  // couleur caractere
    unsigned int couleurFondSel; // couleur du fond bouton sélectionné
    unsigned int couleurCarSel;  // couleur du caractere bouton sélectionné
};

void AfficheInit();
void AfficheEcranAccueil();
void AfficheCentre(int ligne, const unsigned int Couleur, const char *msg); 
void AfficheEcranMenu(const TBouton PBouton1[]);
void AfficheBoutons(const TBouton PBouton[]);
void AfficheUnBouton(const TBouton *PBouton, bool Selection);
void ClignoteBouton(const TBouton *PBouton);
void AfficheBloc(int bloc, unsigned int couleurFond, unsigned int couleurCar,  const char *msg);
bool SaisieClavier(unsigned long *Valeur);
int  NumBouton(const TBouton PBouton[]);
bool IsPressed(void);

#endif
